Subject: bug#57650: [29.0.50] Chatty Emacsclient: "Got response from server"

From: Jim Porter <[email-masked]>
Date: Wed, 7 Sep 2022 12:26:06 -0700

On 9/7/2022 11:47 AM, Eli Zaretskii wrote:
>> From: Jacob Faibussowitsch <[email-masked]>
>> Date: Wed, 7 Sep 2022 14:31:28 -0400
>> Cc: [email-masked]
>>
>>> you _asked_ for more chatter by
>>> specifying --quiet.  Right?
>>
>> … I had to read that twice, but just so I understand the --quiet flag makes emacsclient display more to screen? Perhaps it should be renamed to --louder.
> 
> Yes, I think --louder is a better name for the option, now that it
> behaves like that.

Looking at emacsclient.c, I think this is just a bug in the new timeout 
handling. Everywhere else that --quiet is used, it means what 
"emacsclient --help" says: "Don't display messages on success".

For example, 'set_local_socket' has this bit, which makes it pretty 
explicit:

       /* If there's an alternate editor and the user has requested
	 --quiet, don't output the warning. */
       if (!quiet || !alternate_editor)
	{
	  message (true,
		   ("%s: can't find socket; have you started the server?\n"
		    "%s: To start the server in Emacs,"
		    " type \"M-x server-start\".\n"),
		   progname, progname);
	}